Upstream information

CVE-2014-3694 at MITRE

Description

The (1) bundled GnuTLS SSL/TLS plugin and the (2) bundled OpenSSL SSL/TLS plugin in libpurple in Pidgin before 2.10.10 do not properly consider the Basic Constraints extension during verification of X.509 certificates from SSL servers, which allows man-in-the-middle attackers to spoof servers and obtain sensitive information via a crafted certificate.

SUSE information

Overall state of this security issue: Does not affect SUSE products

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.4
Vector AV:N/AC:L/Au:N/C:P/I:P/A:N
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact None
SUSE Bugzilla entry: 902495

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP2
  • finch >= 2.11.0-12.5
  • libpurple >= 2.11.0-12.5
  • libpurple-lang >= 2.11.0-12.5
  • libpurple-meanwhile >= 2.11.0-12.5
  • libpurple-tcl >= 2.11.0-12.5
  • pidgin >= 2.11.0-12.5
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA finch
SUSE Linux Enterprise Desktop 12 SP3
  • finch >= 2.12.0-1.33
  • libpurple >= 2.12.0-1.33
  • libpurple-branding-upstream >= 2.12.0-1.33
  • libpurple-lang >= 2.12.0-1.33
  • libpurple-plugin-sametime >= 2.12.0-1.33
  • libpurple-tcl >= 2.12.0-1.33
  • pidgin >= 2.12.0-1.33
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA finch
SUSE Linux Enterprise Software Development Kit 12 SP2
  • finch-devel >= 2.11.0-12.5
  • libpurple >= 2.11.0-12.5
  • libpurple-devel >= 2.11.0-12.5
  • libpurple-lang >= 2.11.0-12.5
  • pidgin-devel >= 2.11.0-12.5
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA finch-devel
SUSE Linux Enterprise Software Development Kit 12 SP3
  • finch-devel >= 2.12.0-1.33
  • libpurple >= 2.12.0-1.33
  • libpurple-devel >= 2.12.0-1.33
  • libpurple-lang >= 2.12.0-1.33
  • pidgin-devel >= 2.12.0-1.33
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA finch-devel
SUSE Linux Enterprise Workstation Extension 12 SP2
  • finch >= 2.11.0-12.5
  • libpurple >= 2.11.0-12.5
  • libpurple-lang >= 2.11.0-12.5
  • libpurple-meanwhile >= 2.11.0-12.5
  • libpurple-tcl >= 2.11.0-12.5
  • pidgin >= 2.11.0-12.5
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP2 GA finch
SUSE Linux Enterprise Workstation Extension 12 SP3
  • finch >= 2.12.0-1.33
  • libpurple >= 2.12.0-1.33
  • libpurple-branding-upstream >= 2.12.0-1.33
  • libpurple-lang >= 2.12.0-1.33
  • libpurple-plugin-sametime >= 2.12.0-1.33
  • libpurple-tcl >= 2.12.0-1.33
  • pidgin >= 2.12.0-1.33
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP3 GA finch
SUSE Linux Enterprise Workstation Extension 15
  • libpurple >= 2.13.0-3.35
  • libpurple-branding-upstream >= 2.13.0-3.35
  • libpurple-devel >= 2.13.0-3.35
  • libpurple-lang >= 2.13.0-3.35
  • libpurple-plugin-sametime >= 2.13.0-3.35
  • pidgin >= 2.13.0-3.35
  • pidgin-devel >= 2.13.0-3.35
Patchnames:
SUSE Linux Enterprise Workstation Extension 15 GA libpurple
openSUSE 13.1
  • finch >= 2.10.10-4.22.1
  • finch-debuginfo >= 2.10.10-4.22.1
  • finch-devel >= 2.10.10-4.22.1
  • libpurple >= 2.10.10-4.22.1
  • libpurple-branding-openSUSE >= 13.1-2.17.1
  • libpurple-branding-upstream >= 2.10.10-4.22.1
  • libpurple-debuginfo >= 2.10.10-4.22.1
  • libpurple-devel >= 2.10.10-4.22.1
  • libpurple-lang >= 2.10.10-4.22.1
  • libpurple-meanwhile >= 2.10.10-4.22.1
  • libpurple-meanwhile-debuginfo >= 2.10.10-4.22.1
  • libpurple-tcl >= 2.10.10-4.22.1
  • libpurple-tcl-debuginfo >= 2.10.10-4.22.1
  • pidgin >= 2.10.10-4.22.1
  • pidgin-branding-openSUSE >= 13.1-2.17.1
  • pidgin-debuginfo >= 2.10.10-4.22.1
  • pidgin-debugsource >= 2.10.10-4.22.1
  • pidgin-devel >= 2.10.10-4.22.1
  • pidgin-otr >= 4.0.0-4.7.1
  • pidgin-otr-debuginfo >= 4.0.0-4.7.1
  • pidgin-otr-debugsource >= 4.0.0-4.7.1
Patchnames:
openSUSE-2014-635
openSUSE Leap 15.0
  • libpurple >= 2.13.0-lp150.3.1
  • libpurple-lang >= 2.13.0-lp150.3.1
  • libpurple-tcl >= 2.13.0-lp150.3.1
  • pidgin >= 2.13.0-lp150.3.1
Patchnames:
openSUSE Leap 15.0 GA libpurple
openSUSE Leap 42.1
  • libpurple >= 2.10.11-4.3
  • libpurple-lang >= 2.10.11-4.3
  • libpurple-meanwhile >= 2.10.11-4.3
  • libpurple-tcl >= 2.10.11-4.3
  • pidgin >= 2.10.11-4.3
Patchnames:
openSUSE Leap 42.1 GA libpurple
openSUSE Leap 42.2
  • libpurple >= 2.10.11-7.1
  • libpurple-lang >= 2.10.11-7.1
  • libpurple-meanwhile >= 2.10.11-7.1
  • libpurple-tcl >= 2.10.11-7.1
  • pidgin >= 2.10.11-7.1
Patchnames:
openSUSE Leap 42.2 GA libpurple
openSUSE Leap 42.3
  • libpurple >= 2.12.0-9.1
  • libpurple-lang >= 2.12.0-9.1
  • libpurple-plugin-sametime >= 2.12.0-9.1
  • libpurple-tcl >= 2.12.0-9.1
  • pidgin >= 2.12.0-9.1
Patchnames:
openSUSE Leap 42.3 GA libpurple
openSUSE Tumbleweed
  • finch >= 2.11.0-4.1
  • finch-devel >= 2.11.0-4.1
  • libpurple >= 2.11.0-4.1
  • libpurple-branding-upstream >= 2.11.0-4.1
  • libpurple-devel >= 2.11.0-4.1
  • libpurple-lang >= 2.11.0-4.1
  • libpurple-plugin-sametime >= 2.11.0-4.1
  • libpurple-tcl >= 2.11.0-4.1
  • pidgin >= 2.11.0-4.1
  • pidgin-devel >= 2.11.0-4.1
Patchnames:
openSUSE Tumbleweed GA finch